Subject: RE: Why not a ".IETF" TLD? (was: Re: Financial state of the IETF. ..)

From: Franck Martin <[email-masked]>
Date: Mon, 17 Mar 2003 09:54:00 +1200

Hi gang,

I'm looking from an ISOC perspective.

My understanding from previous ISOC meeting, is that the coporate membership
of ISOC can be directed to any areas the coporation wants to and in
particular to the IETF.

If I remember quite well most of the finances of ISOC goes in the support of
IETF, I don't remember the figures but I think a 70% would be close to the
number.

Now while IETF goals are important and this organisation MUST be supported,
ISOC has been struggling in various areas. Their motto "Internet for
Everyone" is a "joke" (I'm not politically correct") when you consider that
ISOC has only 10,000 individual members. "Who do they represent?" must be
the question asked by each politician when ISOC tries to push forward an
issue. Yes amongst these 10,000 individuals are people with quite some power
but considering the Internet has a few hunder of millions people....

Now ISOC won the bid to run the .org. PIR is set to help non profit
organisation to benefit from the sell of .org. But I think the PIR should
have other priorities than to support the IETF, so that the motto "Internet
is for Everyone" becomes a reality.

In the running of meeting, I have noticed that ISOC, IETF, ICANN likes big 5
star hotels (which are expensives). I understand these hotels are the only
one with facilities to run big conferences, but in our side of the world
where resources are scare we use our own facilities. You could use
University campuses to run meetings, corporate campuses, etc... All free of
charge. I'm sure IBM, Microsoft, MIT (...) will be delighted to host an IETF
meeting in one of their conference facilities.

Now if you don't find smart solutions to the problem, yes ISOC will have to
support... Because I hate to see the IETF becoming an industry consortium,
where you have to pay membership fees to be part of it...

BTW, with the current state of the world do not expect more people to the
meetings but less... Corporate travel has gone down....

Franck Martin

> -----Original Message-----
> From: Peter Deutsch [mailto:[email-masked]]
> Sent: Monday, 17 March 2003 9:32 
> To: Randy Bush
> Cc: Rick Wesson; Harald Tveit Alvestrand; [email-masked]
> Subject: Why not a ".IETF" TLD? (was: Re: Financial state of the
> IETF...)
> 
> 
> g'day Randy,
> 
> Randy Bush wrote:
> > 
> > > At one point some of us tried to use the .org 
> redelegation to help fund
> > > the IETF. [1] We didn't win but the ISOC's bid did win. 
> Did the ISOC make
> > > the same commitment, could they divert some funding from 
> .org domain
> > > registrations to support the IETF?
> > 
> > how would they justify this?  i.e. s/org/net/ or s/org/uk/ and how
> > does it work out?
> 
> I'm not sure I understand the question, but maybe you're just waxing
> rhetorical?
> 
> If the question is should PIR help support the IETF, it would seem to
> fall within their mission, if they chose to do so. After all, 
> their home
> page states:
> 
>      "PIR looks forward to serving the .ORG community by
>       providing superior technology; new services designed
>       for noncommercial registrants; and responsive,
>       responsible stewardship."
> 
> Note the line about "providing superior technology", which could be
> interpreted as supporting improvements to DNS technologies, at the
> least. Wouldn't be much of a stretch to say it could also cover
> supporting developments at the transport layer. Given the relationship
> between ISOC and the IETF you could make a similar argument about this
> being within *their* mandate, as well.
> 
> Still, AFAIK PIR haven't actually made any specific commitments to
> helping out the IETF, so it wouldn't be appropriate to try to 
> strong-arm
> them into offering to do so now, but I see no reason why we shouldn't
> push for revenues from a specific TLD to support the overall 
> mission of
> the IETF in the future. Folks who support the IETF's goals and mission
> could use their patronage of the "IETF TLD" to show their support and
> provide specific finiancial aid. It would act as sort of an "affinity
> TLD service", just like those affinity credit cards, where a 
> portion of
> the money spent goes as a subsidy to your favorite worthy cause. 
> 
> In fact, I'm surprised that this isn't being done already, since it
> seems such an obvious step. It would certainly be appropriate 
> to set up
> an "IETF domain" to pay for the secretariat, mailing list hosting, a
> full-blown set of archives, etc. Meeting fees could then be 
> used to fund
> only the incremental cost of a participant's physical 
> presence (such as,
> of course, the cookies...)
> 
> 
> 
> Let's look at the numbers for a minute. The IETF's 
> non-meeting costs are
> somewhere on the order of $1.3 million, and the meetings are something
> on the order of $1.2 million (from slide 3 of Harald's presentation).
> This means that the meeting's direct costs are only about $250 per
> attendee per year (assuming three meetings per year and about 1.6k
> attendees per meeting).
> 
> So, if the new TLD fees could raise something like $1.3 million clear
> (after the expenses of actually providing the TLD servers, which of
> course are ripe for donations, subsidies, etc) then you would 
> only need
> to charge something like $250 per person per year for the actual
> meetings, which is obviously less than is charged now.
> 
> So let's set the target at $2 million to cover the cost of a small TLD
> service, plus a little extra to build up the rainy day fund.
> 
> How realistic is it to consider raising $2 million per year in domain
> registrations?
> 
> Here's where I need to wave my hands a little and you need to use your
> imagination, but if you charge, say, $50 per reg, this is 40,000
> entries. Make it something like $200/year each and you need 
> only 10,000
> to hit your target. Are there 20,000 people out there who'd 
> pay $100 per
> year to have a cool "[email-masked]" email address? I suspect so.
> 
> And of course, you can reduce this number further if you still allow
> some cross-subsidy from the meeting fees, you can still push for
> corporate donations (say for servers or hosting services to reduce the
> service costs), etc. Here's where a full time DNS business 
> manager could
> probably pay for him or herself in no time at all by drumming up
> equipment donations and hosting subsidies.
> 
> In any event, there are today something like 2,000 people who already
> pay something like $500 per visit to the IETF over the course 
> of a year
> for their meeting fees. Assuming you've reduced the meeting fees, or
> simply rolled the TLD sub into the existing fee, you'd find 
> this part of
> the equation could remain revenue neutral with few 
> complaints. Thus, the
> question boils down to whether you could raise any 
> *additional* revenues
> from subs coming in from folks not physically present, companies,
> Intellectual Property lawyers and so on. At first glance this 
> certainly
> seems feasible to me...
> 
> And if you do better than cover the current revenue 
> shortfall, you would
> actually be lowering the cost of IETF participation for those who
> physically show up to meetings. As Martha Stewart would say 
> "And This is
> Good...(tm)"
> 
> 
> I for one maintain a few TLDs and wouldn't mind at all taking out at
> least one more to support the IETF, assuming it's a "reasonable" fee
> (anything under $100 per year would probably be lost in the noise). It
> would be a legitimate business expense for me, and I'd know 
> the money is
> going to support something I approve of. You'd need to do some real
> market research to determine if this is all viable or if I'm really as
> special as my mom always thought, but my guess is you could 
> find a whole
> passle of intellectual property types who'd sign up for their favorite
> strings on principle (after fighting you tooth and nail through the
> "twisty little passages of ICANN, all the same" until the TLD went
> live).
> 
> My guess is that there's an inbuilt free rent in *any* TLD (why do you
> think they're so popular??) but even if there isn't, all you're really
> trying to do is generate supplemental revenues equal to the delta
> between current revenues and expenses, so this looks like a *very*
> promising line to take. 
> 
> The only other alternative for an organization who sees its membership
> falling is to cut costs or increase fees. The former reduces 
> performance
> and the later could lead to a death spiral as rising costs chase more
> and more people away. Finding an alternative revenue stream seems the
> only *healthy* long term alternative.
> 
> 
> Oh wait - there is a hitch. Of course, if we try to do this, the IETF
> would then be finally forced to visit the ICANN Alternate 
> Reality Plane
> that the rest of the world has struggled with for so long. 
> Whether this
> is considered a "good thing" or a "bad thing" is left as an 
> exercise for
> the reader but if any organization has a claim to a TLD, it would seem
> to be the group that defines and maintains the very technologies and
> procedures used to make the service work. This approach requires no
> revenue-sharing agreements with the other TLD operators, no changes in
> technologies or procedures and shouldn't "destabilize the root" since
> it's a single additional TLD with minimal impact on traffic patterns.
> Putting aside any moral claims, the IETF should be able to 
> quickly reach
> consensus upon an RFC stating that this specific TLD wouldn't hurt the
> current DNS... ;-)
> 
> Okay, that's more than my 2 cents on this subject. Do with it as you
> will...
> 
> 
> And finally, a couple of specific comments on the posted financials
> before I close.
> 
> Any business plan predicated upon the assumption that attendance will
> maintain or return to the higher levels of previous years 
> seems fatally
> flawed, to say the least. The hi tech train wreck has now lasted three
> years and shows no signs of being cleared from the tracks any 
> time soon,
> so we shouldn't allow ourselves too much "irrational optimism" on this
> front. A more likely scenario is falling attendance for at 
> least another
> year, if not more, and this should be in the budget.
> 
> Also, to respond to Steve Casner's comment about comparisons with past
> costs, given the inertia in starting and perpetrating working groups I
> would guess that a 20 percent reduction in attendees doesn't
> automatically translate to a 20 percent reduction in demand for the
> number of meeting rooms, just more space available in each room, so
> there seems to have been a ratchet effect here on the cost 
> base. And if
> the IETF's cost base is now permanently higher than it was a few years
> ago, you will either need to take steps to fix the revenue side, or
> you'll need to fix the demand side.
> 
> Thus, it looks like one of the steps needed in these harder times is a
> cost-cutting exercise to reduce the number or working groups, and thus
> the number of rooms needed. The demands upon space likely 
> wont drop back
> down again on their own, so some hard calls might be needed to balance
> the books here.
> 
> 
> In summary, I would suggest that if decisions are made based upon
> built-in assumptions such as "attendance is going back up" or "falling
> attendance automatically lowers costs", we'll all be revisiting this
> whole debate again a year from now, but with the numbers in 
> worse shape
> than they are today...
> 
> 
> 
>                  - peterd (who remembers this specific analysis on the
>                             cost of cookies cycling round before...)
> 
> -- 
> ---------------------------------------------------------------------
>     Peter Deutsch                       [email-masked]
>                       Gydig Software
> 
> 
>      As Oprah Winfrey likes to say, "There's only two ways
>         to lose weight - eat less, or exercise more..."
> 
> ---------------------------------------------------------------------
>